org.codehaus.groovy.classgen

## Class MethodCallerMultiAdapter

- java.lang.Object
- - org.codehaus.groovy.classgen.MethodCallerMultiAdapter

    public class MethodCallerMultiAdapter
    extends Object

### Field Summary

Fields
`static int` `MAX_ARGS`

### Constructor Summary

Constructors
Constructor and Description
`MethodCallerMultiAdapter()`

### Method Summary

Methods
`void` `call(org.objectweb.asm.MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)`
`static MethodCallerMultiAdapter` `newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_ARGS

    public static final int MAX_ARGS

See Also:
  Constant Field Values

### Constructor Detail

#### MethodCallerMultiAdapter

    public MethodCallerMultiAdapter()

### Method Detail

#### newStatic

    public static MethodCallerMultiAdapter newStatic(Class theClass,
                                     String baseName,
                                     boolean createNArgs,
                                     boolean skipSpreadSafeAndSafe)

#### call

    public void call(org.objectweb.asm.MethodVisitor methodVisitor,
            int numberOfArguments,
            boolean safe,
            boolean spreadSafe)

Parameters:
  `methodVisitor` -
  `numberOfArguments` - a value >0 describing how many arguments are additionally used for the method call
  `safe` -
  `spreadSafe` -